/**
 * Pages
 */
.page__link {
	display: block;
	color: var(--color-headings);
}

.page__header {
	position: relative;
	display: block;
	width: 100%;
	margin-bottom: 10vh;
	text-align: left;
	padding-left: 30px;
	border-left: 1px solid var(--color-extra-light);
}

@media screen and (max-width: 980px) {
	.page__header {
		padding-left: 15px;
	}
}

.header-centered {
	padding-left: 0;
	border-left: 0;
	text-align: center;
	margin-bottom: 5vh;
}

.page__title {
	position: relative;
	display: block;
	padding: 0;
	margin-bottom: 15px;
}

.page__title span {
	color:var(--color-link);
}

.page__title::before {
	content: attr(data-letter);
	z-index: -1;
	position: absolute;
	margin-left: -0.21em;
	top: 0;
	font-size: 16vw;
	color: var(--color-extra-light);
	transform: translateY(0%);
	display: none;
}

@media screen and (max-width: 980px) {
	.page__title::before {
		font-size: 24vw;
	}
}

@media screen and (max-width: 767px) {
	.page__title {
		margin-bottom: 15px;
	}
}

.post-title {
	padding-bottom: var(--spacing-30);
}

.page__subtitle {
	margin-bottom: 15px;
	color: var(--color-white);
	line-height: 1.5em;
}

@media screen and (max-width: 767px) {
	.page__aside {
		border: 0;
	}
}

.page__title-counter {
	display: block;
	margin: 0 auto;
	width: 50px;
	height: 50px;
	line-height: 50px;
	text-align: center;
	border: 1px solid var(--color-extra-light);
	border-radius: 100%;
}

.page__intro {
	position: relative;
	color: var(--color-text);
}

/* meta */
.page__meta {
	display: grid;
	align-items: center;
	grid-auto-flow: column;
	justify-content: center;
}

.meta-left {
	justify-content: start;	
}

.page-meta-top {
	margin-bottom: 30px;
}

.page__meta-bottom {
	display: block;
	margin-bottom: 30px;
	padding-top: 30px;
	text-align: right;
	border-top: 1px solid var(--color-light);
}

.page__meta > * {
	display: grid;
	align-items: center;
	grid-auto-flow: column;
	font-weight: 400;
	letter-spacing: 0.2em;
	line-height: 1.8em;
	color: var(--color-gray);
	font-size: var(--tiny-font);
	font-family: var(--font-sans);
	text-transform: uppercase;
}

.page__meta > *::before {
	content: "";
	width: 25px;
	height: 1px;
	margin: 0 10px;
	background: var(--color-light);
}

.page__meta > *:first-child::before {
	display: none;
}

.meta-author__image {
	border-radius: 100%;
	margin-right: 10px;
	max-width: 70px;
	padding: 5px;
	border: 1px solid var(--color-light);
}

@media screen and (max-width: 767px) {
	.meta-author__image {
		max-width: 60px;
		display: block;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 10px;
	}	
}

.meta-category {
	text-align: center;
	font-weight: 500;
	margin-bottom: 30px;
}

@media screen and (max-width: 767px) {
	.page__meta > * {
		display: block;
	}
	
	.page__meta > *::before {
		display: none;
	}
	
	.page__meta {
		grid-auto-flow: row;
	}
}

/* page image */
figure.page__image {
	z-index: 1;
	position: relative;
	margin-bottom: var(--spacing-70);
}

.page__image-caption {
	font-size: var(--small-font);
	padding: 5px 0;
	opacity: 0.7;
}

/**
 * Tags
 */
.page__tags {
	display: grid;
	align-items: start;
	justify-content: start;
	margin-top: var(--spacing-15);
	margin-bottom: var(--spacing-30);
}

.page__tags-title {
	text-transform: var(--text-transform);
	font-size: var(--small-font);
	color: var(--color-gray);
	letter-spacing: 0.05em;
	margin-bottom: 1em;
}

.page__tags-list {
	display: inline-block;
	padding: 0;
	margin: 0;
	list-style-type: none;
	vertical-align: middle;
}

.page__tags-list .button-mini {
	font-weight: 400;	
}

.page__tags-item {
	display: inline-block;
}

.page__tags .page__tags-item::before {
	display: none;
}

.page__tags-link {
	display: block;
	float: left;
	font-size: var(--small-font);
	font-weight: 400;
	padding: 0 20px;
	margin-right: 3px;
	color: var(--color-white);
	border: 1px solid var(--color-light);
	border-radius: 60px;
	background-color: var(--color-white);
	transition: all var(--ease-base);
}

.page__tags-link:hover {
	color: var(--color-white);
	background-color: var(--color-dark);
	border-color: rgba(0, 0, 0, 0);
}

/**
 * 0.0 - Parent page
 */

.children__list {
	padding: 0;
	margin: 0;
	list-style-type: none;
}

.children__heading {
	padding: 5px;
	border-bottom: 1px solid var(--color-extra-light);
	transition: all var(--ease-fast);
}

.children__link {
	padding: 30px;
	display: block;
	width: 100%;
	height: 100%;
}

/**
 * 0.0 - Page video
 */
.page__video {
	margin-bottom: 3em;
}

/**
 * 0.0 - Page nav
 */
.page__nav {
	display: grid;
	padding-top: var(--spacing-30);
	border-top: 1px solid var(--color-light);
	margin-bottom: var(--spacing-30);
}

.page__nav-list {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

.page__nav-label {
	display: block;
	margin-bottom: 15px;
	font-size: var(--tiny-font);
	color: var(--color-gray);
}

.page__nav-prev,
.page__nav-next {
	display: inline-block;
	width: 50%;
	padding-right: 25px;
	text-align: left;
	font-family: var(--heading-font);
	font-weight: var(--heading-font-weight);
}

.page__nav-next {
	float: right;
	text-align: right;
	padding-right: 0;
	padding-left: 25px;
}

.page__nav-prev + .page__nav-next {
	border-left: 0px solid var(--color-light);	
}

.page__nav-link {
	font-size: 1.25em;
}

@media screen and (max-width: 480px) {
	.page__nav-prev,
	.page__nav-next {
		display: block;
		float: none;
		width: 100%;
		padding: var(--spacing-15) 0;
		text-align: left;
	}

	.page__nav-prev + .page__nav-next {
		border-left: 0;
		border-top: 1px solid var(--color-light);
	}
}

/**
 * 0.0 - Pager
 */
.pager {
	display: block;
	width: 100%;
	padding: 15px 0 0;
	margin: 30px 0;
	text-align: center;
	list-style-type: none;
}

.pager__item {
	display: inline-block;
	margin: 5px 5px 5px 0;
	padding: 0;
	text-align: center;
}

.pager__item a {
	display: block;
	float: none;
	width: 60px;
	height: 60px;
	margin: 0;
	padding: 0;
	line-height: 58px;
	font-size: 14px;
	text-align: center;
	text-decoration: none;
	border: 1px solid var(--color-link);
	border-radius: var(--button-border-radius);
	transition: all var(--ease-fast)
}

.pager__item a:hover,
.pager__item a:focus {
	color: var(--color-white);
	border-color: transparent;
	background-color: var(--color-dark);
}

.pager__item.pager-current a {
	color: var(--color-gray);
	border-color: var(--color-gray);
}

.pager__item.pager-current a:hover {
	border-color: var(--color-link);
	background-color: transparent;
}

.pager__item.pager__separator {
	height: 60px;
	width: 30px;
	margin: 0;
	padding: 0;
	line-height: 58px;
	font-size: var(--small-font);
	color: var(--color-gray);
	text-align: center;
}

.pager__item.pager-prev,
.pager__item.pager-next {
	margin: 5px 15px;
}

.pager__item.pager-prev a,
.pager__item.pager-next a {
	width: auto;
	border-color: rgba(0, 0, 0, 0);
	background-color: transparent;
}

.pager__item.pager-prev a:hover,
.pager__item.pager-prev a:focus,
.pager__item.pager-next a:hover,
.pager__item.pager-next a:focus {
	color: var(--color-link);
	background-color: transparent;
}

@media screen and (max-width: 480px) {
	.pager__item.pager-prev,
	.pager__item.pager-next {
		margin: 0;
		display: block;
	}
}

/* button */
.page__button {
	margin: var(--spacing-30) 0;
}

.page__button .button {
	width: 100%;
}